/**
 * @license
 * Copyright 2019 Google LLC. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0
 */
/** 
 * Always set the map height explicitly to define the size of the div element
 * that contains the map. 
 */
 #map {
  width: 100%;
 
}

/* Optional: Makes the sample page fill the window. */
html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
}

input[type="text"] {
  background-color: #fff;
  border: 0;
  border-radius: 2px;
  box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
  margin: 10px;
  padding: 0 0.5em;
  font: 400 18px Roboto, Arial, sans-serif;
  overflow: hidden;
  line-height: 40px;
  margin-right: 0;
  min-width: 25%;
}

input[type="button"] {
  background-color: #fff;
  border: 0;
  border-radius: 2px;
  box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
  margin: 10px;
  padding: 0 0.5em;
  font: 400 18px Roboto, Arial, sans-serif;
  overflow: hidden;
  height: 40px;
  cursor: pointer;
  margin-left: 5px;
}
input[type="button"]:hover {
  background: rgb(235, 235, 235);
}
input[type="button"].button-primary {
  background-color: #1a73e8;
  color: white;
}
input[type="button"].button-primary:hover {
  background-color: #1765cc;
}
input[type="button"].button-secondary {
  background-color: white;
  color: #1a73e8;
}
input[type="button"].button-secondary:hover {
  background-color: #d2e3fc;
}

#response-container {
  background-color: #fff;
  border: 0;
  border-radius: 2px;
  box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
  margin: 10px;
  padding: 0 0.5em;
  font: 400 18px Roboto, Arial, sans-serif;
  overflow: hidden;
  overflow: auto;
  max-height: 50%;
  max-width: 90%;
  background-color: rgba(255, 255, 255, 0.95);
  font-size: small;
}

#instructions {
  background-color: #fff;
  border: 0;
  border-radius: 2px;
  box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
  margin: 10px;
  padding: 0 0.5em;
  font: 400 18px Roboto, Arial, sans-serif;
  overflow: hidden;
  padding: 1rem;
  font-size: medium;
}

@media only screen and (max-width: 425px) {
  .footer {
      width: auto;
      height: auto;
      background-color: #20345C;
      padding: 0px 50px 0px 50px;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      box-shadow: 0px -12px 12px 13px rgba(0, 0, 0, 0.16);
  }

  .footer div {
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
      color: #ADADAD;
  }

  .contact-info-left,
  .contact-info-center,
  .contact-info-right {
      width: auto;
      text-align: center;
  }

  .contact-info-left div,
  .contact-info-right div {
      text-align: center;
  }

  /* Изменение размера шрифта для всего текста */
  .footer,
  .footer div,
  .footer a,
  .address,
  .website {
      font-size: 11px; /* Измените этот размер по вашему усмотрению */
  }
}



